/**
 * Created by christiankalig on 11.05.16.
 *
 * This file loads all required js-Files for RSA-Project
 */


var queue = new createjs.LoadQueue(false);

// define callbacks for loading events
queue.on("complete", handleComplete);
queue.on("fileload", handleFileLoad);
queue.on("progress", handleProgress);

/**
 * the default start page if automatic authkey authentication is not successful
 * @type {string}
 */


/**
 * all the required files for this project
 * ordered by dependencies (one file could contain dependencies for previous loaded files, but not for following loaded files)
 * @type {string[]}
 */
var files = [
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    '',
    ''
];

/**
 * load files
 */
queue.loadManifest(files);

/**
 * callback for loading completion
 * sets a timeout after all files are loaded to hide the splash screen
 * the next page shown will be either the login page or the index page(dashboard)
 * this depends on whether the automatic authkey authentication is successful or not
 */
function handleComplete(){
    
}

/**
 * console output for file load
 * @param result
 */
function handleFileLoad(result){
    console.log("file loaded");
}

function handleProgress(loaded){
    //console.log(loaded);
}